Name:             dnssec-trigger
Version:          0.17
Release:          2
Summary:          Dnssec-trigger reconfigures the local Unbound DNS server
License:          BSD
Url:              http://www.nlnetlabs.nl/downloads/dnssec-trigger/
Source0:          http://www.nlnetlabs.nl/downloads/dnssec-trigger/%{name}-%{version}.tar.gz
Source1:          dnssec-trigger.tmpfiles.d
Source2:          dnssec-trigger-default.conf


BuildRequires:    openssl-devel ldns-devel python3-devel gcc NetworkManager-libnm-devel systemd
Requires:         ldns >= 1.6.10 NetworkManager-libnm unbound openssl e2fsprogs NetworkManager >= 0.9.9.1-13
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

Provides:         variant_config(Workstation)
Obsoletes:        %{name} < 0.12-22
Suggests:         %{name}-panel

%description
Dnessc-Trigger relies on the Unbound DNS resolver running locally on your system,
which performs DNSSEC validation. It reconfigures Unbound in such a way that it
will signal it to to use the DHCP obtained forwarders if possible, fallback to doing
its own AUTH queries if that fails, and if that fails it will prompt the user with
the option to go with insecure DNS only.

%package panel
Summary:       Program for user and dnssec-trigger interaction
BuildRequires: gtk2-devel desktop-file-utils
Requires:      %{name} = %{version}-%{release} xdg-utils
Obsoletes:     %{name} < 0.12-22

%description panel
The project will provide a GTK panel for users to interact with the dnssec-trigger daemon.
It can display the status and detection results of the dnssec-trigger daemon in real time.
At thesame time, if the user needs some input, the panel will create a dialog window.

%package help
Summary: Help documents for dnssec-trigger

%description help
Man pages and other related help documents for dnssec-trigger.

%prep
%autosetup -n %{name}-%{version} -p1

sed -i "s/validate_connection_provided_zones=yes/validate_connection_provided_zones=no/" dnssec.conf


%build
%configure --with-keydir=%{_sysconfdir}/%{name} --with-hooks=networkmanager \
           --with-python=%{__python3} --with-pidfile=%{_localstatedir}/run/%{name}d.pid

%make_build

%install
make DESTDIR=%{buildroot} install

install -d 755 %{buildroot}%{_unitdir}
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/

install -d %{buildroot}%{_libexecdir}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications dnssec-trigger-panel.desktop

install -d %{buildroot}%{_tmpfilesdir}
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_tmpfilesdir}/dnssec-trigger.conf

install -d %{buildroot}%{_localstatedir}/run
install -d -m755 %{buildroot}%{_localstatedir}/run/dnssec-trigger

ln -s %{name}-panel %{buildroot}%{_bindir}/%{name}

for all in %{name}-control %{name}-control-setup dnssec-triggerd; do
    ln -s %{_mandir}/man8/%{name}.8 %{buildroot}/%{_mandir}/man8/"$all".8
done
ln -s %{_mandir}/man8/%{name}.8 %{buildroot}/%{_mandir}/man8/%{name}.conf.8

%post
%systemd_post dnssec-triggerd.service

%preun
%systemd_preun dnssec-triggerd.service

%postun
%systemd_postun_with_restart dnssec-triggerd.service

%posttrans
if [ ! -e %{_sysconfdir}/%{name}/%{name}.conf ]; then
     ln -sf %{name}-default.conf %{_sysconfdir}/%{name}/%{name}.conf || :
fi

%files
%license LICENSE
%doc README
%{_bindir}/%{name}
%{_sbindir}/%{name}*
%{_libexecdir}/%{name}-script
%{_unitdir}/{%{name}d,%{name}d-keygen}.service

%attr(0755,root,root) %{_sysconfdir}/NetworkManager/dispatcher.d/01-%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/dnssec.conf
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %ghost %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}-default.conf
%dir %{_localstatedir}/run/%{name}
%{_tmpfilesdir}/%{name}.conf

%files panel
%{_bindir}/%{name}-panel
%attr(0755,root,root) %dir %{_datadir}/%{name}
%attr(0644,root,root) %{_datadir}/{%{name}/*,applications/%{name}-panel.desktop}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-panel.desktop

%files help
%{_mandir}/man8/dnssec-trigger*

%changelog
* Sat Sep 02 2023 wulei <wu_lei@hoperun.com> - 0.17-2
- Comment out the logfile parameter in the configuration file

* Sat Feb 04 2023 wenchaofan <349464272@qq.com> - 0.17-1
* Update to 0.17 version

* Wed Nov 20 2019 duyeyu <duyeyu@huawei.com> - 0.15-9
- Package init
